Elput device functions

Functions for getting attributes of devices. More...

## Functions

EAPI Elput_Seat * | elput_device_seat_get (const Elput_Device *dev)
| Get the seat object for a device.
EAPI Elput_Device_Caps | elput_device_caps_get (const Elput_Device *dev)
| Get the caps for a device.
EAPI Eina_Stringshare * | elput_device_output_name_get (Elput_Device *device)
| Return the output name associated with a given device.

## Detailed Description

Functions for getting attributes of devices.

## Function Documentation

## elput_device_seat_get()

EAPI Elput_Seat * elput_device_seat_get | ( | const Elput_Device * | dev | ) |

Get the seat object for a device.

Parameters

  dev |

Returns
  The seat

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elput_device_caps_get()

EAPI Elput_Device_Caps elput_device_caps_get | ( | const Elput_Device * | dev | ) |

Get the caps for a device.

Parameters

  dev |

Returns
  The caps, 0 on failure

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elput_device_output_name_get()

EAPI Eina_Stringshare * elput_device_output_name_get | ( | Elput_Device * | device | ) |

Return the output name associated with a given device.

Parameters

  device |

Returns
  An Eina_Stringshare of the output name for this device, or NULL on error

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.